<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:witsml="http://www.witsml.org/schemas/131">
	<!-- 
	xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" -->

	<xsl:output method="html" version="1.0" encoding="UTF-8"
		indent="yes" />

	<xsl:template match="/">
		<html>
			<head>
				<link href="ddr_htmlReport.css" type="text/css"
					rel="stylesheet" />
			</head>

			<body>
				<xsl:for-each select="witsml:drillReports/witsml:drillReport">
					<table width="1000" cellspacing="1" cellpadding="1">
						<tr class="light">
							<td class="ReportHeader">Summary report Wellbore: <xsl:value-of select="witsml:wellboreAlias[witsml:namingSystem='NPD code']/witsml:name" /></td> 
						</tr>
						<tr height="5px">
							<td><hr size="4px" color="black" /></td>
						</tr>
						<tr class="light">
							<td>
								<table id="table1">
									<tr class="light">
										<td class="ColHead"><a target="_blank" href="">Wellbore:</a></td>
										<td class="light"><xsl:value-of select="witsml:wellboreAlias[witsml:namingSystem='NPD code']/witsml:name" /></td>
										<td class="ColHead"><a target="_blank" href="">Wellbore Id:</a></td>
										<td class="light"><xsl:value-of select="witsml:wellboreAlias[witsml:namingSystem='NPD number']/witsml:name" /></td>
										<td colspan="4"/>
									</tr>
									<tr class="light">
										<td class="dark"><a href="" target="_blank">Status:</a></td>
										<td><xsl:value-of select="witsml:versionKind" /></td>
										<td class="dark"><a href="" target="_blank">Created Date:</a></td>
										<td colspan="5"><xsl:value-of select="witsml:createDate" /></td>
									</tr>
									<tr class="light">
										<td class="ColHead"><a href="" target="_blank">Period:</a></td>
										<td colspan="7"><xsl:value-of select="substring(witsml:dTimStart, 0,17)" /> - <xsl:value-of select="substring(witsml:dTimEnd, 0,17)" /></td>
									</tr>
									<tr height="5px">
										<td colspan="8" />
									</tr>

									<xsl:apply-templates select="witsml:wellboreInfo" />
									<!-- Well Status Info -->
									<xsl:apply-templates select="witsml:statusInfo" />
									
								</table>
							</td>
						</tr>
						<tr height="5px">
							<td/>
						</tr>
						<tr>
							<td><HR/></td>
						</tr>
						<tr>
							<td class="SectionHead">Summary of Activities</td>
						</tr>
						<tr>
							<td class="light"><xsl:value-of select="witsml:statusInfo/witsml:sum24Hr" /></td>
						</tr>
						<tr height="5px">
							<td/>
						</tr>
						<tr>
							<td><HR/></td>
						</tr>
						<tr>
							<td class="SectionHead">Summary of Planned Activities</td>
						</tr>
						<tr>
							<td class="light" ><xsl:value-of select="witsml:statusInfo/witsml:forecast24Hr" /></td>
						</tr>
						
						<!-- Operation Mode -->
						<xsl:if test="count(witsml:activity) > 0">
						<tr height="5px">
							<td/>
						</tr>
						<tr>
							<td><HR/></td>
						</tr>
						<tr>
							<td class="SectionHead">Operation Mode</td>
						</tr>
						<tr>
							<td>
						    <table id="table1">	
								<tr>
									<td width="80" align="left"><a href="" target="_blank">Start Time</a></td>
									<td width="80" align="left"><a href="" target="_blank">End Time</a></td>
									<td width="60" align="left"><a href="" target="_blank">Depth mMD</a></td>
									<td width="120" align="left"><a href="" target="_blank">Main Oper Class</a></td>
									<td width="80" align="left"><a href="" target="_blank">Main Oper Eval Class</a></td>
									<td align="left"><a href="" target="_blank"><b>Remark</b></a></td>
								</tr>
								<xsl:for-each select="witsml:activity">
								<tr class="light">
									<td valign="top"><xsl:value-of select="substring-after(witsml:dTimStart, 'T')"/></td>
									<td valign="top"><xsl:value-of select="substring-after(witsml:dTimEnd, 'T')"/></td>
									<td valign="top"><xsl:value-of select="witsml:md"/></td>
									<td valign="top"><xsl:value-of select="witsml:proprietaryCode"/></td>
									<td valign="top"><xsl:value-of select="witsml:state"/></td>
									<td><xsl:value-of select="witsml:comments"/></td>	
								</tr>		
								</xsl:for-each><!--"witsml:activity" -->
							</table>
							</td>
						</tr>
						</xsl:if>
						
						<!--  equipFailureInfo  -->
						<xsl:if test="count(witsml:equipFailureInfo) > 0">
							<tr height="5px">
								<td/>
							</tr>
							<tr>
								<td><hr/></td>
							</tr>
							<tr>
								<td class="SectionHead">Equipment Failure Information</td>
							</tr>
							<tr>
								<td>
							   <table id="table1">	
									<tr>
										<td width="60" align="left"><a href="" target="_blank">Time</a></td>
										<td width="60" align="left"><a href="" target="_blank">Depth mMD</a></td>
										<td width="120" align="left"><a href="" target="_blank">Sub Equip Syst Class</a></td>
										<td width="60" align="left"><a href="" target="_blank">Missed Production Time</a></td>
										<td width="60" align="left"><a href="" target="_blank">Equip Repair Comp Time</a></td>
										<td align="left"><a href="" target="_blank">Equip Failure Description</a></td>
									</tr>
									<xsl:for-each select="witsml:equipFailureInfo">
									<tr class="light">
										<td valign="top"><xsl:value-of select="substring-after(witsml:dTim, 'T')"/></td>
										<td valign="top"><xsl:value-of select="witsml:md"/></td>
										<td valign="top"><xsl:value-of select="witsml:equipSubClass"/></td>
										<td valign="top"><xsl:value-of select="witsml:eTimMissProduction"/><xsl:value-of select="witsml:eTimMissProduction/@uom"/></td>
										<td valign="top"><xsl:value-of select="witsml:dTimRepair"/></td>
										<td valign="top"><xsl:value-of select="witsml:description"/></td>
									</tr>		
									</xsl:for-each>
								</table>
								</td>
							</tr>
						</xsl:if>
									

						<!--  Bit Record -->
						<xsl:if test="count(witsml:bitRecord) > 0">
							<tr height="5px"><td/></tr>
							<tr><td><hr /></td></tr>
							<tr>
								<td class="SectionHead">Bit record</td>
							</tr>
							<tr>
								<td>
								<table id="table1">
									<tr>
										<td align="center" width="50"><a target="_blank" href="">Run No</a></td>
										<td align="center" width="50"><a target="_blank" href="">Bit size</a></td>
										<td align="center" width="80"><a target="_blank" href="">Bit Type</a></td>
										<td><a target="_blank" href="">Manufacturer</a></td>
									</tr>
									<xsl:for-each select="witsml:bitRecord">
										<tr class="light">
											<td align="center">
												<xsl:value-of select="witsml:numBit" />
											</td>
											<td align="center">
												<xsl:value-of select="witsml:diaBit" />
											</td>
											<td align="center">
												<xsl:value-of select="witsml:codeMfg" />
											</td>
											<td>
												<xsl:value-of select="witsml:manufacturer" />
											</td>
										</tr>
									</xsl:for-each>
								</table>
								</td>
							</tr>
						</xsl:if>

						<!--  witsml:fluid -->
						<xsl:if test="count(witsml:fluid) > 0">
							<tr height="5px"><td/></tr>
							<tr><td><hr /></td></tr>
							<tr>
								<td class="SectionHead">Fluid Information</td>
							</tr>
							<tr>
								<td>
									<table id="table2">
										<tr>
											<td align="left">
												<a target="_blank" href="">Sample Time</a>
											</td>
											<td align="center" width="50">
												<a target="_blank" href="">Depth At Logging mMD</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Fuild Type</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Fluid Desc</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Fluid Density</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Fluid Viscosity</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Yield Point</a>
											</td>
										</tr>
										<xsl:for-each select="witsml:fluid">
											<tr class="light">
												<td>
													<xsl:value-of select="witsml:dTim" />
												</td>
												<td align="center">
													<xsl:value-of select="witsml:md" />
												</td>
												<td>
													<xsl:value-of select="witsml:mudClass" />
												</td>
												<td>
													<xsl:value-of select="witsml:type" />
												</td>
												<td>
													<xsl:value-of select="witsml:density" />
													<xsl:value-of select="witsml:density/@uom" />
												</td>
												<td>
													<xsl:value-of select="witsml:pv" />
													<xsl:value-of select="witsml:pv/@uom" />
												</td>
												<td>
													<xsl:value-of select="witsml:yp" />
													<xsl:value-of select="witsml:yp/@uom" />
												</td>
											</tr>
										</xsl:for-each>

									</table>
								</td>
							</tr>
						</xsl:if>

						<!--  porePressure -->
						<xsl:if test="count(witsml:porePressure) > 0">
							<tr height="5px"><td/></tr>
							<tr><td><hr /></td></tr>
							<tr>
								<td class="SectionHead">Pore Pressure</td>
							</tr>
							<tr>
								<td>
									<table id="table2">
										<tr>
											<td align="left">
												<a target="_blank" href="">Reading</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Equ Mud Weight</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Time</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Depth mMD</a>
											</td>
										</tr>
										<xsl:for-each select="witsml:porePressure">
											<tr class="light">
												<td>
													<xsl:value-of select="witsml:readingKind" />
												</td>
												<td>
													<xsl:value-of select="witsml:equivalentMudWeight" />
													<xsl:value-of select="witsml:equivalentMudWeight/@uom" />
												</td>
												<td>
													<xsl:value-of select="witsml:dTim" />
												</td>
												<td>
													<xsl:value-of select="witsml:md" />
												</td>
											</tr>
										</xsl:for-each>
									</table>
								</td>
							</tr>
						</xsl:if>

						<!--  surveyStation -->
						<xsl:if test="count(witsml:surveyStation) > 0">
							<tr height="5px"><td/></tr>
							<tr><td><hr/></td></tr>
							<tr>
								<td class="SectionHead">Survey Station</td>
							</tr>
							<tr>
								<td>
									<table id="table2">
										<tr>
											<td align="left">
												<a target="_blank" href="">Depth mMD</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Depth mTVD</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Inclination deg</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Azimuth deg</a>
											</td>
										</tr>
										<xsl:for-each select="witsml:surveyStation">
											<tr class="light">
												<td>
													<xsl:value-of select="witsml:md" />
												</td>
												<td>
													<xsl:value-of select="witsml:tvd" />
												</td>
												<td>
													<xsl:value-of select="witsml:incl" />
												</td>
												<td>
													<xsl:value-of select="witsml:azi" />
												</td>
											</tr>
										</xsl:for-each>
									</table>
								</td>
							</tr>
						</xsl:if>

						<!--  logInfo -->
						<xsl:if test="count(witsml:logInfo) > 0">
							<tr height="5px"><td/></tr>
							<tr><td><hr/></td></tr>
							<tr>
								<td class="SectionHead">Log Information</td>
							</tr>
							<tr>
								<td>
									<table id="table2">
										<tr>
											<td colspan="2" align="left">
												<a target="_blank" href="">Logging company:</a>
											</td>
											<td colspan="6">
												<xsl:value-of select="witsml:serviceCompany" />
											</td>
										</tr>
										<tr>
											<td align="left">
												<a target="_blank" href="">Run No</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Depth Top mMD</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Depth Bottom mMD</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Tool</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Bottom hole circulating
													temperature</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Bottom hole temperature
													static</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Ellapsed time since
													circulation stopped</a>
											</td>
											<td align="left">
												<a target="_blank" href="">Depth to the temperature
													measurement tool mMD</a>
											</td>
										</tr>
										<xsl:for-each select="witsml:logInfo">
											<tr class="light">
												<td>
													<xsl:value-of select="witsml:runNumber" />
												</td>
												<td>
													<xsl:value-of select="witsml:mdTop" />
												</td>
												<td>
													<xsl:value-of select="witsml:mdBottom" />
												</td>
												<td>
													<xsl:value-of select="witsml:tool" />
												</td>
												<td>
													<xsl:value-of select="witsml:tempBHCT" />
													<xsl:value-of select="witsml:tempBHCT/@uom" />
												</td>
												<td>
													<xsl:value-of select="witsml:tempBHST" />
													<xsl:value-of select="witsml:tempBHST/@uom" />
												</td>
												<td>
													<xsl:value-of select="witsml:eTimStatic" />
													<xsl:value-of select="witsml:eTimStatic/@uom" />
												</td>
												<td>
													<xsl:value-of select="witsml:mdTempTool" />
												</td>
											</tr>
										</xsl:for-each>
									</table>
								</td>
							</tr>
						</xsl:if>

						<!--  coreInfo -->
						<xsl:if test="count(witsml:coreInfo) > 0">
							<tr height="5px"><td/></tr>
							<tr><td><hr/></td></tr>
							<tr>
								<td class="SectionHead">Core Information</td>
							</tr>
							<tr>
								<td>
									<table id="table2">
										<tr>
											<td width="40" align="left">
												<a target="_blank" href="">Core No</a>
											</td>
											<td width="60" align="left">
												<a target="_blank" href="">Depth Top of Core mMD</a>
											</td>
											<td width="60" align="left">
												<a target="_blank" href="">Depth Bottom of Core mMD</a>
											</td>
											<td width="60" align="left">
												<a target="_blank" href="">Core length m</a>
											</td>
											<td width="60" align="left">
												<a target="_blank" href="">Recover core %</a></td>
											<td width="60" align="left"><a target="_blank" href="">Core barrel length m</a></td>
											<td width="120" align="left"><a target="_blank" href="">Inner barrel type</a></td>
											<td align="left"><a target="_blank" href="">Description</a></td>
										</tr>
										<xsl:for-each select="witsml:coreInfo">
										<tr class="light">
											<td valign="top"><xsl:value-of select="witsml:coreNumber"/></td>
											<td valign="top"><xsl:value-of select="witsml:mdTop"/></td>
											<td valign="top"><xsl:value-of select="witsml:mdBottom"/></td>
											<td valign="top"><xsl:value-of select="witsml:lenRecovered"/></td>
											<td valign="top"><xsl:value-of select="witsml:recoverPc"/></td>
											<td valign="top"><xsl:value-of select="witsml:lenBarrel"/></td>
											<td valign="top"><xsl:value-of select="witsml:innerBarrelType"/></td>
											<td><xsl:value-of select="witsml:coreDescription"/></td>
										</tr>
										</xsl:for-each>
										</table>
										</td>
										</tr>
										</xsl:if>
										
										<!--  wellTestInfo -->
									<xsl:if test="count(witsml:wellTestInfo) > 0">
										<tr height="5px"><td/></tr>
										<tr><td><hr/></td></tr>
										<tr>
											<td  class="SectionHead">Well Test Information</td>
										</tr>
										<tr>
	<td>
									<table id="table1">	
												<tr>
												<td align="left"><a href="" target="_blank">Time</a></td>
												<td align="left"><a href="" target="_blank">Test No.</a></td>
												<td align="left"><a href="" target="_blank">Type</a></td>
												<td align="left"><a href="" target="_blank">Depth to Top mMD</a></td>
												<td align="left"><a href="" target="_blank">Depth to Bottom mTVD</a></td>
												<!-- 
												<td align="left"><a href="" target="_blank">TVD to Top</a></td>
												<td align="left"><a href="" target="_blank">TVD to Bottom</a></td>
												 -->
												<td align="left"><a href="" target="_blank">Choke Orifice Size</a></td>
												<td align="left"><a href="" target="_blank">Density of Crude Oil</a></td>
												<td align="left"><a href="" target="_blank">Oil Flow Rate</a></td>
												<td align="left"><a href="" target="_blank">Water Flow Rate</a></td>
												<td align="left"><a href="" target="_blank">Gas Flow Rate</a></td>
												<td align="left"><a href="" target="_blank">Shut in Pressure</a></td>
												<td align="left"><a href="" target="_blank">Flow Pressure</a></td>
												<td align="left"><a href="" target="_blank">Bottom Hole Pressure</a></td>
												<td align="left"><a href="" target="_blank">Gas Oil Ratio</a></td>
												<td align="left"><a href="" target="_blank">Water Oil Ratio</a></td>
												<td align="left"><a href="" target="_blank">Chloride Content</a></td>
												<td align="left"><a href="" target="_blank">CO2 Content</a></td>
												<td align="left"><a href="" target="_blank">H2S Content</a></td>
												<td align="left"><a href="" target="_blank">Total Oil Vol Produced</a></td>
												<td align="left"><a href="" target="_blank">Total Gas Vol Produced</a></td>
												<td align="left"><a href="" target="_blank">Total Water Vol Produced</a></td>
												<td align="left"><a href="" target="_blank">Total Oil Vol Stored</a></td>
												</tr>
												<xsl:for-each select="witsml:wellTestInfo">
												<tr class="light">
													<td><xsl:value-of select="substring-after(witsml:dTim, 'T')"/></td>
													<td><xsl:value-of select="witsml:testNumber"/></td>
													<td><xsl:value-of select="witsml:testType"/></td>
													<td><xsl:value-of select="witsml:mdTop"/></td>
													<td><xsl:value-of select="witsml:mdBottom"/></td>
													<!-- 
													<td><xsl:value-of select="witsml:tvdTop"/> <xsl:value-of select="witsml:tvdTop/@uom"/></td>
													<td><xsl:value-of select="witsml:tvdBottom"/> <xsl:value-of select="witsml:tvdBottom/@uom"/></td>
													 -->
													<td><xsl:value-of select="witsml:chokeOrificeSize"/> <xsl:value-of select="witsml:chokeOrificeSize/@uom"/></td>
													<td><xsl:value-of select="witsml:densityOil"/> <xsl:value-of select="witsml:densityOil/@uom"/></td>
													<td><xsl:value-of select="witsml:flowRateOil"/> <xsl:value-of select="witsml:flowRateOil/@uom"/></td>
													<td><xsl:value-of select="witsml:flowRateWater"/> <xsl:value-of select="witsml:flowRateWater/@uom"/></td>
													<td><xsl:value-of select="witsml:flowRateGas"/> <xsl:value-of select="witsml:flowRateGas/@uom"/></td>
													<td><xsl:value-of select="witsml:presShutIn"/> <xsl:value-of select="witsml:presShutIn/@uom"/></td>
													<td><xsl:value-of select="witsml:presFlowing"/> <xsl:value-of select="witsml:presFlowing/@uom"/></td>
													<td><xsl:value-of select="witsml:presBottom"/> <xsl:value-of select="witsml:presBottom/@uom"/></td>
													<td><xsl:value-of select="witsml:gasOilRatio"/> <xsl:value-of select="witsml:gasOilRatiom/@uom"/></td>
													<td><xsl:value-of select="witsml:waterOilRatio"/> <xsl:value-of select="witsml:waterOilRatio/@uom"/></td>
													<td><xsl:value-of select="witsml:chloride"/> <xsl:value-of select="witsml:chloride/@uom"/></td>
													<td><xsl:value-of select="witsml:carbonDioxide"/> <xsl:value-of select="witsml:carbonDioxide/@uom"/></td>
													<td><xsl:value-of select="witsml:hydrogenSulfide"/> <xsl:value-of select="witsml:hydrogenSulfide/@uom"/></td>
													<td><xsl:value-of select="witsml:volOilTotal"/> <xsl:value-of select="witsml:volOilTotal/@uom"/></td>
													<td><xsl:value-of select="witsml:volGasTotal"/> <xsl:value-of select="witsml:volGasTotal/@uom"/></td>
													<td><xsl:value-of select="witsml:volWaterTotal"/> <xsl:value-of select="witsml:volWaterTotal/@uom"/></td>
													<td><xsl:value-of select="witsml:volOilStored"/> <xsl:value-of select="witsml:volOilStored/@uom"/></td>
												</tr>
												</xsl:for-each><!--"witsml:wellTestInfo" -->
											</table>
										</td>
										</tr>
										</xsl:if>
										
									<!--  wellTestInfo -->
									<xsl:if test="count(witsml:formTestInfo) > 0">
										<tr height="5px"><td/></tr>
										<tr><td><hr/></td></tr>
										<tr>
											<td  class="SectionHead">Formation Test Information</td>
										</tr>
										<tr>
										<td>
										   <table id="table1">	
												<tr>
												<td width="60" align="left"><a href="" target="_blank">Depth mMD</a></td>
												<td width="60" align="left"><a href="" target="_blank">Formation pore Pressure</a></td>
												<td width="60" align="left"><a href="" target="_blank">Good Seal Ind</a></td>
												<td width="60" align="left"><a href="" target="_blank">Depth to Sample Point mMD</a></td>
												<td width="60" align="left"><a href="" target="_blank">Dominate Fluid Component</a></td>
												<td width="60" align="left"><a href="" target="_blank">HC Component Density</a></td>
												<td width="60" align="left"><a href="" target="_blank">Sample Volume</a></td>
												<td align="left"><a href="" target="_blank">Description</a></td>
												</tr>
												<xsl:for-each select="witsml:formTestInfo">
													<tr class="light">
													<td valign="top"><xsl:value-of select="witsml:md"/></td>
													<td valign="top"><xsl:value-of select="witsml:presPore"/> <xsl:value-of select="witsml:presPore/@uom"/></td>
													<td valign="top"><xsl:value-of select="witsml:goodSeal"/></td>
													<td valign="top"><xsl:value-of select="witsml:mdSample"/></td>
													<td valign="top"><xsl:value-of select="witsml:dominateComponent"/></td>
													<td valign="top"><xsl:value-of select="witsml:densityHC"/> <xsl:value-of select="witsml:densityHC/@uom"/></td>
													<td valign="top"><xsl:value-of select="witsml:volumeSample"/> <xsl:value-of select="witsml:volumeSample/@uom"/></td>
													<td><xsl:value-of select="witsml:description"/></td>
													</tr>	
												</xsl:for-each><!--"witsml:formTestInfo" -->
											</table>
										</td>
										</tr>
										</xsl:if>
									
									
									<!--  lithShowInfo -->
									<xsl:if test="count(witsml:lithShowInfo) > 0">
										<tr height="5px"><td/></tr>
										<tr><td><hr/></td></tr>
										<tr>
											<td  class="SectionHead">Lithology Information</td>
										</tr>
										<tr>
											<td>
											<table id="table1">	
												<tr>
													<td width="60" align="left"><a href="" target="_blank">Depth at Start mMD</a></td>
													<td width="60" align="left"><a href="" target="_blank">Depth at End mMD</a></td>
													<td width="60" align="left"><a href="" target="_blank">Depth at Start mTVD</a></td>
													<td width="60" align="left"><a href="" target="_blank">Depth at End mTVD</a></td>
													<td width="300" align="left"><a href="" target="_blank">Description</a></td>
													<td align="left"><a href="" target="_blank"><b>Lithology Description</b></a></td>
												</tr>
												<xsl:for-each select="witsml:lithShowInfo">
												<tr class="light">
													<td valign="top"><xsl:value-of select="witsml:mdTop"/></td>
													<td valign="top"><xsl:value-of select="witsml:mdBottom"/></td>
													<td valign="top"><xsl:value-of select="witsml:tvdTop"/> </td>
													<td valign="top"><xsl:value-of select="witsml:tvdBottom"/></td>
													<td valign="top"><xsl:value-of select="witsml:show"/></td>
													<td valign="top"><xsl:value-of select="witsml:lithology"/></td>
												</tr>		
												</xsl:for-each><!--"witsml:lithShowInfo" -->
											</table>
											</td>
										</tr>
									</xsl:if>
									
									  
									
									
									<!--  controlIncidentInfo  -->
									<xsl:if test="count(witsml:controlIncidentInfo) > 0">
										<tr height="5px"><td/></tr>
										<tr><td><hr/></td></tr>
										<tr>
											<td  class="SectionHead">Control Incident Information</td>
										</tr>
										<tr>
											<td>
											<xsl:variable name="url_controlIncidentInfo">bla</xsl:variable>
											<table id="table1">	
												<tr>
													<td width="60" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Time</a></td>
													<td width="60" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Depth to Well mMD</a></td>
													<td width="60" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Lost Time</a></td>
													<td width="60" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Time for Well Control Regain</a></td>
													<td width="60" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Drill Bit Dia</a></td>
													<td width="60" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Depth at Bit mMD</a></td>
													<td width="80" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Drilling Fluid Desnity</a></td>
													<td width="80" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Reservoir Pore Pressure</a></td>
													<td width="80" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Dia of Last Casing</a></td>
													<td width="80" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Depth to Casing mMD</a></td>
													<td width="80" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Gained Vol of Fluid</a></td>
													<td width="80" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Shut in Casing Pressure</a></td>
													<td width="80" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Shut in Drill Pipe Pressure</a></td>
													<td width="100" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Incident Class</a></td>
													<td width="100" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Killing Procd</a></td>
													<td width="100" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Formation</a></td>
													<td width="80" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Bottom Hole Temp</a></td>
													<td width="80" align="left"><a href="{$url_controlIncidentInfo}" target="_blank">Max Choke Valve Pressure</a></td>
													<td align="left"><a href="{$url_controlIncidentInfo}" target="_blank"><b>Description</b></a></td>
												</tr>
												<xsl:for-each select="witsml:controlIncidentInfo">
												<tr class="light">
													<td valign="top"><xsl:value-of select="substring-before(witsml:dTim, 'T')"/></td>
													<td valign="top"><xsl:value-of select="witsml:mdInflow"/></td>
													<td valign="top"><xsl:value-of select="witsml:eTimLost"/> <xsl:value-of select="witsml:eTimLost/@uom"/></td>
													<td valign="top"><xsl:value-of select="witsml:dTimRegained"/></td>
													<td valign="top"><xsl:value-of select="witsml:diaBit"/> <xsl:value-of select="witsml:diaBit/@uom"/></td>
													<td valign="top"><xsl:value-of select="witsml:mdBit"/> </td>
													<td valign="top"><xsl:value-of select="witsml:wtMud"/> <xsl:value-of select="witsml:wtMud/@uom"/></td>
													<td valign="top"><xsl:value-of select="witsml:porePressure"/> <xsl:value-of select="witsml:porePressure/@uom"/></td>
													<td valign="top"><xsl:value-of select="witsml:diaCsgLast"/> <xsl:value-of select="witsml:diaCsgLast/@uom"/></td>
													<td valign="top"><xsl:value-of select="witsml:mdCsgLast"/> </td>
													<td valign="top"><xsl:value-of select="witsml:volMudGained"/> <xsl:value-of select="witsml:volMudGained/@uom"/></td>
													<td valign="top"><xsl:value-of select="witsml:presShutInCasing"/> <xsl:value-of select="witsml:presShutInCasing/@uom"/></td>
													<td valign="top"><xsl:value-of select="witsml:presShutInDrill"/> <xsl:value-of select="witsml:presShutInDrill/@uom"/></td>
													<td valign="top"><xsl:value-of select="witsml:incidentType"/></td>
													<td valign="top"><xsl:value-of select="witsml:killingType"/></td>
													<td valign="top"><xsl:value-of select="witsml:formation"/></td>
													<td valign="top"><xsl:value-of select="witsml:tempBottom"/> <xsl:value-of select="witsml:tempBottom/@uom"/></td>
													<td valign="top"><xsl:value-of select="witsml:presMaxChoke"/> <xsl:value-of select="witsml:presMaxChoke/@uom"/></td>
													<td ><xsl:value-of select="witsml:description"/></td>
												</tr>		
												</xsl:for-each>
											</table>
											</td>
										</tr>
									</xsl:if>
									
									<!--  stratInfo  -->
									<xsl:if test="count(witsml:stratInfo) > 0">
										<tr height="5px"><td/></tr>
										<tr><td><hr/></td></tr>
										<tr>
											<td  class="SectionHead">Stratigraphic Information</td>
										</tr>
										<tr>
											<td>
											<xsl:variable name="url_stratInfo">bla</xsl:variable>	
										    <table id="table1">	
												<tr>
													<td width="60" align="left"><a href="{$url_stratInfo}" target="_blank">Depth to Top of Formation mMD</a></td>
													<td width="60" align="left"><a href="{$url_stratInfo}" target="_blank">Depth to Top of Formation mTVD</a></td>
													<td align="left"><a href="{$url_stratInfo}" target="_blank"><b>Description</b></a></td>
												</tr>
												<xsl:for-each select="witsml:stratInfo">
												<tr class="light">
													<td valign="top"><xsl:value-of select="witsml:mdTop"/> <xsl:value-of select="witsml:mdTop/@uom"/></td>
													<td valign="top"><xsl:value-of select="witsml:tvdTop"/> <xsl:value-of select="witsml:tvdTop/@uom"/></td>
													<td><xsl:value-of select="witsml:description"/></td>
												</tr>		
												</xsl:for-each>
											</table>
											</td>
										</tr>
									</xsl:if>
									
									<!-- perfInfo  -->
									<xsl:if test="count(witsml:perfInfo) > 0">
										<tr height="5px"><td/></tr>
										<tr><td><hr/></td></tr>
										<tr>
											<td  class="SectionHead">Perforation Information</td>
										</tr>
										<tr>
											<td>
											<xsl:variable name="url_perfInfo">bla</xsl:variable>	
										    <table id="table1">	
												<tr>
													<td align="left"><a href="{$url_perfInfo}" target="_blank">Time of Opening Well Perf</a></td>
													<td align="left"><a href="{$url_perfInfo}" target="_blank">Time of Closing Well Perf</a></td>
													<td align="left"><a href="{$url_perfInfo}" target="_blank">Depth to Top of Perf mMD</a></td>
													<td align="left"><a href="{$url_perfInfo}" target="_blank">Depth to Bottom of Perf mMD</a></td>
													<td align="left"><a href="{$url_perfInfo}" target="_blank">Depth to Top of Perf mTVD</a></td>
													<td align="left"><a href="{$url_perfInfo}" target="_blank">Depth to Bottom of Perf mTVD</a></td>
												</tr>
												<xsl:for-each select="witsml:perfInfo">
												<tr class="light">
													<td><xsl:value-of select="witsml:dTimOpen"/></td>
													<td><xsl:value-of select="witsml:dTimClose"/></td>
													<td><xsl:value-of select="witsml:mdTop"/></td>
													<td><xsl:value-of select="witsml:mdBottom"/></td>
													<td><xsl:value-of select="witsml:tvdTop"/></td>
													<td><xsl:value-of select="witsml:tvdBottom"/></td>
												</tr>
												</xsl:for-each>
											</table>
											</td>
										</tr>
									</xsl:if>
									
									<!--  gasReadingInfo -->
									<xsl:if test="count(witsml:gasReadingInfo) > 0">
										<tr height="5px"><td/></tr>
										<tr><td><hr/></td></tr>
										<tr>
											<td  class="SectionHead">Gas Reading Information</td>
										</tr>
										<tr>
											<td>
											<xsl:variable name="url_gasReadingInfo">bla</xsl:variable>	
										   <table id="table1">	
												<tr>
													<td align="left"><a href="{$url_gasReadingInfo}" target="_blank">Time</a></td>
													<td align="left"><a href="{$url_gasReadingInfo}" target="_blank">Class</a></td>
													<td width="60" align="left"><a href="{$url_gasReadingInfo}" target="_blank">Depth to Top mMD</a></td>
													<td width="60" align="left"><a href="{$url_gasReadingInfo}" target="_blank">Depth to Bottom mMD</a></td>
													<td width="60" align="left"><a href="{$url_gasReadingInfo}" target="_blank">Depth to Top mTVD</a></td>
													<td width="60" align="left"><a href="{$url_gasReadingInfo}" target="_blank">Depth to Bottom mTVD</a></td>
													<td align="left"><a href="{$url_gasReadingInfo}" target="_blank">Highest Gas</a></td>
													<td align="left"><a href="{$url_gasReadingInfo}" target="_blank">Lowest Gas</a></td>
													<td align="left"><a href="{$url_gasReadingInfo}" target="_blank">C1</a></td>
													<td align="left"><a href="{$url_gasReadingInfo}" target="_blank">C2</a></td>
													<td align="left"><a href="{$url_gasReadingInfo}" target="_blank">C3</a></td>
													<td align="left"><a href="{$url_gasReadingInfo}" target="_blank">IC4</a></td>
													<td align="left"><a href="{$url_gasReadingInfo}" target="_blank">IC5</a></td>
												</tr>
												<xsl:for-each select="witsml:gasReadingInfo">
												<tr class="light">
													<td><xsl:value-of select="substring-after(witsml:dTim, 'T')"/></td>
													<td><xsl:value-of select="witsml:readingType"/></td>
													<td><xsl:value-of select="witsml:mdTop"/></td>
													<td><xsl:value-of select="witsml:mdBottom"/></td>
													<td><xsl:value-of select="witsml:tvdTop"/></td>
													<td><xsl:value-of select="witsml:tvdBottom"/></td>
													<td><xsl:value-of select="witsml:gasHigh"/> <xsl:value-of select="witsml:gasHigh/@uom"/></td>
													<td><xsl:value-of select="witsml:gasLow"/> <xsl:value-of select="witsml:gasLow/@uom"/></td>
													<td><xsl:value-of select="witsml:meth"/> <xsl:value-of select="witsml:meth/@uom"/></td>
													<td><xsl:value-of select="witsml:eth"/> <xsl:value-of select="witsml:eth/@uom"/></td>
													<td><xsl:value-of select="witsml:prop"/> <xsl:value-of select="witsml:prop/@uom"/></td>
													<td><xsl:value-of select="witsml:ibut"/> <xsl:value-of select="witsml:ibut/@uom"/></td>
													<td><xsl:value-of select="witsml:ipent"/> <xsl:value-of select="witsml:ipent/@uom"/></td>
												</tr>
												</xsl:for-each>
											</table>
											</td>
										</tr>
									</xsl:if>
						
					</table>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>

	<xsl:template match="witsml:wellboreInfo">
		<tr class="light">
			<xsl:variable name="url_operator">bla</xsl:variable>
			<xsl:variable name="url_drillContractor">bla</xsl:variable>

			<td class="ColHead"><a target="_blank" href="${url_operator}">Operator:</a></td>
			<td><xsl:value-of select="witsml:operator" /></td>
			<td class="ColHead"><a target="_blank" href="${url_drillContractor}">Drilling contractor:</a></td>
			<td colspan="4"><xsl:value-of select="witsml:drillContractor" /></td>
		</tr>
		<tr class="light">
			<xsl:variable name="url_rigAlias">bla</xsl:variable>
			<xsl:variable name="url_namingSystem">bla</xsl:variable>

			<td class="ColHead">
				<a href="{$url_rigAlias}" target="_blank">Offshore Rig:</a>
			</td>
			<td>
				<xsl:value-of select="witsml:rigAlias[witsml:namingSystem='NPD Name']/witsml:name" />
			</td>
			<td class="ColHead">
				<a href="{$url_namingSystem}" target="_blank">NPD Id:</a>
			</td>
			<td>
				<xsl:value-of select="witsml:rigAlias[witsml:namingSystem='NPD code']/witsml:name" />
			</td>
		</tr>
		<tr class="light">
			<xsl:variable name="url_dTimSpud">bla</xsl:variable>
			<xsl:variable name="url_dTimPreSpud">bla</xsl:variable>
			<xsl:variable name="url_dateDrillComplete">bla</xsl:variable>

			<td class="ColHead">
				<a target="_blank" href="{$url_dTimSpud}">Spud Time:</a>
			</td>
			<td>
				<xsl:value-of select="substring-before(witsml:dTimSpud, 'T')" />
			</td>
			<td class="ColHead">
				<a target="_blank" href="{url_dTimPreSpud}">Pre Spud Time:</a>
			</td>
			<td>
				<xsl:value-of select="substring-before(witsml:dTimPreSpud, 'T')" />
			</td>
			<td class="ColHead">
				<a target="_blank" href="{$url_dateDrillComplete}">Date Drill Complete:</a>
			</td>
			<td>
				<xsl:value-of select="substring-before(witsml:dateDrillComplete, 'T')" />
			</td>
		</tr>
	</xsl:template>

	<xsl:template match="witsml:statusInfo">
		<!-- wellbore type and kick off -->
		<tr class="light">
			<td class="dark"><a target="_blank" href="">Wellbore type:</a></td>
			<td><xsl:value-of select="witsml:typeWellbore" /></td>
			<td class="dark"><a target="_blank" href="">Depth at Kick Off mMD:</a></td>
			<td><xsl:value-of select="witsml:mdKickoff" /></td>
			<td class="dark"><a target="_blank" href="">Depth at Kick Off mTVD:</a></td>
			<td><xsl:value-of select="witsml:tvdKickoff" /></td>
		</tr>
		<tr class="light">
			<td class="dark">
				<a target="_blank" href="">Dept mMD:</a>
			</td>
			<td>
				<xsl:value-of select="witsml:md" />
			</td>
			<td class="dark">
				<a target="_blank" href="">Depth mTVD:</a>
			</td>
			<td>
				<xsl:value-of select="witsml:tvd" />
			</td>
			<td>
				<a target="_blank" href="">Plug Back Depth mMD:</a>
			</td>
			<td>
				<xsl:value-of select="witsml:mdPlugTop" />
			</td>
		</tr>
		<tr class="light">
			<td class="dark">
				<a target="_blank" href="">Dist Drilled:</a>
			</td>
			<td>
				<xsl:value-of select="witsml:distDrill" />
				<xsl:value-of select="witsml:distDrill/@uom" />
			</td>
			<td class="dark">
				<a target="_blank" href="">Depth planned mMD:</a>
			</td>
			<td>
				<xsl:value-of select="witsml:mdPlanned" />
			</td>
			<td class="dark">
				<a target="_blank" href="">Penetration Rate:</a>
			</td>
			<td>
				<xsl:value-of select="witsml:ropCurrent" />
				<xsl:value-of select="witsml:ropCurrent/@uom" />
			</td>
		</tr>
		<!-- hole dia -->
		<tr class="light">
			<td width="100"><a target="_blank" href="">Hole Dia:</a></td>
			<td width="140"><xsl:value-of select="witsml:diaHole" /><xsl:value-of select="witsml:diaHole/@uom" /></td>
			<td width="160"><a target="_blank" href="">Hole Dia at Start mMD:</a></td>
			<td width="80"><xsl:value-of select="witsml:mdDiaHoleStart" /></td>
			<td width="160"><a target="_blank" href="">Pilot Hole Dia:</a></td>
			<td width="110"><xsl:value-of select="witsml:diaPilot" /><xsl:value-of select="witsml:diaPilot/@uom" /></td>
			<td width="160"><a target="_blank" href="">Depth Dia Pilot Plan mMD:</a></td>
			<td><xsl:value-of select="witsml:mdDiaPilotPlan" /></td>
		</tr>
		<!-- formation strength and  pressure test -->
		<tr class="light">
			<td>
				<a target="_blank" href="">Measured Formation Strength:</a>
			</td>
			<td>
				<xsl:value-of select="witsml:strengthForm" />
				<xsl:value-of select="witsml:strengthForm/@uom" />
			</td>
			<td>
				<a target="_blank" href=""> Depth At Formation Strength mMD:</a>
			</td>
			<td>
				<xsl:value-of select="witsml:mdStrengthForm" />
			</td>
			<td>
				<a target="_blank" href="">Pressure Test Type:</a>
			</td>
			<td colspan="2">
				<xsl:value-of select="witsml:presTestType" />
			</td>
		</tr>
		<!-- casing -->
		<tr class="light">
			<td class="dark">
				<a target="_blank" href="">Dia Last Casing:</a>
			</td>
			<td>
				<xsl:value-of select="witsml:diaCsgLast" />
				<xsl:value-of select="witsml:diaCsgLast/@uom" />
			</td>
			<td class="dark">
				<a target="_blank" href="">Depth At Last Casing mMD:</a>
			</td>
			<td>
				<xsl:value-of select="witsml:mdCsgLast" />
			</td>
			<td class="dark">
				<a target="_blank" href="">Depth At Last Casing mTVD:</a>
			</td>
			<td colspan="2">
				<xsl:value-of select="witsml:tvdCsgLast" />
			</td>
		</tr>
			
	</xsl:template>

</xsl:stylesheet>

